#include "xmlreader.h"

#include <QtXml>
#include <QtWidgets>
#include "xmlparser.h"

/*
    void sltTree();
    void sltExecute();
    void sltLoadXq();
*/

XmlReader::XmlReader(QWidget *parent)
    : QMainWindow(parent)
{
    f_mainParser = new XmlParser(this);

    QMenu* menuFile = new QMenu("File", this);
    f_menuTree = new QMenu("Tree", this);
    QMenu* menuQuery = new QMenu("Query", this);

    menuFile->addAction("Open...", f_mainParser, &XmlParser::sltLoad, QKeySequence("CTRL+O"));
    menuFile->addAction("Close All", f_mainParser, &XmlParser::sltDropAll, QKeySequence("CTRL+D"));

    menuFile->addSeparator();

    menuFile->addAction("Exit", qApp, SLOT(quit()), QKeySequence("CTRL+Q"));

    connect(f_menuTree, SIGNAL(aboutToShow()), SLOT (sltTree()));

    menuQuery->addAction("Execute...", this, &XmlReader::sltExecute, QKeySequence("CTRL+E"));
    menuQuery->addAction("Load Query...", this, &XmlReader::sltLoadXq, QKeySequence("CTRL+L"));

    menuBar()->addMenu(menuFile);
    menuBar()->addMenu(f_menuTree);
    menuBar()->addMenu(menuQuery);

    setCentralWidget(f_mainParser);
    f_mainParser->show();
    resize (800, 600);
}

XmlReader::~XmlReader() {}

void XmlReader::sltTree()
{
    f_menuTree->clear();
    QAction* pact;
    auto rootList = f_mainParser->sltGetRootList();
    for(auto it : *rootList)
    {
        pact = f_menuTree->addAction(it->text());
        connect(pact, SIGNAL(triggered()), f_mainParser, SLOT(sltSetCurrentRoot()));
    }
}

void XmlReader::sltExecute()
{

}

void XmlReader::sltLoadXq()
{

}



